View Issue Details

IDProjectCategoryView StatusLast Update
0035218FPCFCLpublic2019-03-27 15:48
ReporterRik van KekemAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformAllOSAllOS Version
Product Version3.3.1Product Build 
Target Version3.2.0Fixed in Version3.3.1 
Summary0035218: Reusing TSQLScript will results in slowdown
DescriptionWhen using TSQLScript multiple times (without recreating it) will slow down execution significantly. It seems that the internal FDirectives keeps growing each time TSQLScript.Execute is called.

See also topic
https://forum.lazarus.freepascal.org/index.php/topic,44559.msg314159.html#msg314159

A TSQLScript.Directive.Clear above the .Execute will fix this.

So internally in TCustomSQLScript.DefaultDirectives there should be a FDirectives.Clear called.
TagsNo tags attached.
Fixed in Revision41801
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2019-03-26 22:43

administrator   ~0115070

Fixed. The defaultdirectives now checks whether a directive is present and only adds it if it is not yet present.

Rik van Kekem

2019-03-27 15:48

reporter   ~0115081

Yes, fix confirmed.
Thanks.

Issue History

Date Modified Username Field Change
2019-03-13 11:40 Rik van Kekem New Issue
2019-03-13 11:49 Michael Van Canneyt Assigned To => Michael Van Canneyt
2019-03-13 11:49 Michael Van Canneyt Status new => assigned
2019-03-26 22:43 Michael Van Canneyt Fixed in Revision => 41801
2019-03-26 22:43 Michael Van Canneyt Note Added: 0115070
2019-03-26 22:43 Michael Van Canneyt Status assigned => resolved
2019-03-26 22:43 Michael Van Canneyt Fixed in Version => 3.3.1
2019-03-26 22:43 Michael Van Canneyt Resolution open => fixed
2019-03-26 22:43 Michael Van Canneyt Target Version => 3.2.0
2019-03-27 15:48 Rik van Kekem Note Added: 0115081
2019-03-27 15:48 Rik van Kekem Status resolved => closed